# use appimage from https://github.com/vnotex/vnote/releases/

%define __os_install_post %{nil}

Name:	vnote
Version:	3.15.1
Release:	%mkrel 1
License:	GPLv3
Group:	Office
Summary:	A pleasant note-taking platform
Url:		https://github.com/vnotex/vnote/releases/
Source1:    %{name}.desktop
Source2:   %{name}.png
AutoReqProv: no

%description
A pleasant note-taking platform with markdown support.

%prep

%build

%install
pushd %{_sourcedir}
wget -nc https://github.com/vnotex/vnote/releases/download/v%{version}/vnote-linux-x64_v%{version}.AppImage
popd

install -Dm 0755 %{_sourcedir}/vnote-linux-x64_v%{version}.AppImage %{buildroot}/opt/appimage/%{name}-%{version}-linux-x86_64.AppImage
install -Dm 0644 %SOURCE1 %{buildroot}/%{_datadir}/applications/%{name}.desktop
install -Dm 0644 %SOURCE2 %{buildroot}/%{_datadir}/pixmaps/%{name}.png

mkdir -p %{buildroot}/%{_bindir}
ln -fs /opt/appimage/%{name}-%{version}-linux-x86_64.AppImage %{buildroot}/%{_bindir}/%{name}

%files
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
/opt/appimage/%{name}-%{version}-linux-x86_64.AppImage

%post
%update_menus

%postun
%clean_menus


%changelog
* Fri Apr 14 2023 tex - 3.15.1-1pclos2023
- create pkg
